Search Results for

Show / Hide Table of Contents

# Class DynamicStatusBar.DynamicStatusItemModel

##### Inheritance

System.Object
DynamicStatusBar.DynamicStatusItemModel

##### Implements

System.ComponentModel.INotifyPropertyChanged

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicStatusItemModel : Object

### Constructors

#### DynamicStatusItemModel()

##### Declaration

    public DynamicStatusItemModel()

### Properties

#### Items

##### Declaration

    public List<DynamicStatusBar.DynamicStatusItemList> Items { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<DynamicStatusBar.DynamicStatusItemList> |

#### StatusBar

##### Declaration

    public ustring StatusBar { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

### Methods

#### GetPropertyName(String)

##### Declaration

    public string GetPropertyName(string propertyName = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | propertyName |

##### Returns

Type | Description
--- | ---
System.String |

### Events

#### PropertyChanged

##### Declaration

    public event PropertyChangedEventHandler PropertyChanged

##### Event Type

Type | Description
--- | ---
System.ComponentModel.PropertyChangedEventHandler |

### Implements

System.ComponentModel.INotifyPropertyChanged